ReturnObjectMap
Date: 2015-09-15

org.jmock.expectation

## Class ReturnObjectMap

- java.lang.Object
- - org.jmock.expectation.MockObject
  - - org.jmock.expectation.ReturnObjectMap

- All Implemented Interfaces:
    Verifiable

      public class ReturnObjectMap
      extends MockObject

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReturnObjectMap(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getBooleanValue(java.lang.String key)`
    `int` | `getIntValue(java.lang.Object key)`
    `java.lang.Object` | `getValue(java.lang.Object key)`
    `java.lang.Object` | `getValue(short key)`
    `void` | `putReturnValue(java.lang.Object key, boolean value)`
    `void` | `putReturnValue(java.lang.Object key, int value)`
    `void` | `putReturnValue(java.lang.Object key, java.lang.Object value)`
    `void` | `putReturnValue(short key, java.lang.Object value)`
    `void` | `verify()` Throw an AssertionFailedException if any expectations have not been met.

    - ### Methods inherited from class org.jmock.expectation.MockObject

      `assertEquals, assertEquals, assertTrue, fail, notImplemented, notYetImplemented, notYetImplemented`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReturnObjectMap

          public ReturnObjectMap(java.lang.String name)

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue(java.lang.Object key)

    - #### getValue

          public java.lang.Object getValue(short key)

    - #### putReturnValue

          public void putReturnValue(java.lang.Object key,
                            java.lang.Object value)

    - #### putReturnValue

          public void putReturnValue(java.lang.Object key,
                            int value)

    - #### putReturnValue

          public void putReturnValue(short key,
                            java.lang.Object value)

    - #### putReturnValue

          public void putReturnValue(java.lang.Object key,
                            boolean value)

    - #### getIntValue

          public int getIntValue(java.lang.Object key)

    - #### getBooleanValue

          public boolean getBooleanValue(java.lang.String key)

    - #### verify

          public void verify()

      Description copied from interface: `Verifiable`
      Throw an AssertionFailedException if any expectations have not been met. Implementations of this method must be idempotent: jMock can call this method more than once when verifying expectations at the end of a test.
      Specified by:
        `verify` in interface `Verifiable`
      Overrides:
        `verify` in class `MockObject`